# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# Origin b'https://github.com/intel-innersource/libraries.python.intel.condarecipes.scikit-learn-recipe.git', commit b'da86f43f1cf1f97f2b6fb85b3f0b5073c448e609'
# ------------------------------------------------

package:
    name: scikit-learn
    version: 0.24.2
source:
    -   git_rev: 0.24.2
        git_url: https://github.com/scikit-learn/scikit-learn.git
        patches:
            - intel_output_modif.patch
            - intel_setup_add_whl_deps_modif.patch
            - intel_use_daal4py_modif.patch
    -   url: https://raw.githubusercontent.com/intel/scikit-learn-intelex/master/deselected_tests.yaml
    -   url: https://raw.githubusercontent.com/intel/scikit-learn-intelex/master/.circleci/deselect_tests.py
build:
    number: '4'
    script_env:
        - WHEELS_OUTPUT_FOLDER
    string: py37h8411759_4
requirements:
    build:
        - binutils_impl_linux-64 2.35.1 h193b22a_1
        - dpcpp-cpp-rt 2021.4.0 intel_3526
        - icc_impl_linux-64 2019.4.243 hdf63c60_1
        - icc_linux-64 2019.4.243 h8ade792_1
        - icc_rt 2021.4.0 intel_3526
        - intel-cmplr-lib-rt 2021.4.0 intel_3526
        - intel-cmplr-lic-rt 2021.4.0 intel_3526
        - intel-opencl-rt 2021.4.0 intel_3526
        - intel-openmp 2021.4.0 intel_3526
        - kernel-headers_linux-64 2.6.32 h77966d4_13
        - ld_impl_linux-64 2.35.1 hea4e1c9_1
        - libstdcxx-ng 9.3.0 hdf63c60_101
        - sysroot_linux-64 2.12 h77966d4_13
        - tbb 2021.4.0 intel_593
    host:
        - bzip2 1.0.8 hb9a14ef_8
        - ca-certificates 2020.12.5 0
        - certifi 2020.12.5 py37he139614_0
        - cython 0.29.24 py37had034fe_0
        - dpcpp-cpp-rt 2021.4.0 intel_3526
        - dpcpp_cpp_rt 2021.4.0 intel_3526
        - fortran_rt 2021.4.0 intel_3526
        - icc_rt 2021.4.0 intel_3526
        - impi_rt 2021.4.0 intel_386
        - intel-cmplr-lib-rt 2021.4.0 intel_3526
        - intel-cmplr-lic-rt 2021.4.0 intel_3526
        - intel-fortran-rt 2021.4.0 intel_3526
        - intel-opencl-rt 2021.4.0 intel_3526
        - intel-openmp 2021.4.0 intel_3526
        - intelpython 2021.4.0 0
        - joblib 1.0.1 py37h3f38642_0
        - libffi 3.3 13
        - libgcc-ng 9.3.0 hdf63c60_101
        - libstdcxx-ng 9.3.0 hdf63c60_101
        - mkl 2021.4.0 intel_603
        - mkl-devel 2021.4.0 intel_603
        - mkl-include 2021.4.0 intel_603
        - mkl-service 2.4.0 py37h5c78031_1
        - mkl_fft 1.1.0 py37h6ebd63d_3
        - mkl_random 1.1.1 py37h6ebd63d_3
        - numpy 1.17.5 py37ha68da19_1
        - numpy-base 1.17.5 py37_1
        - openssl 1.1.1k h14c3975_1
        - python 3.7.11 h26596aa_2
        - scipy 1.6.2 py37h016306c_1
        - setuptools 52.0.0 py37h0d5a7d4_0
        - six 1.16.0 py37_0
        - sqlite 3.36.0 hb9a14ef_0
        - tbb 2021.4.0 intel_593
        - tbb4py 2021.4.0 py37_intel_593
        - tcl 8.6.10 1
        - threadpoolctl 2.1.0 py37h2742bb4_1
        - tk 8.6.10 h8e2d9d6_3
        - wheel 0.36.2 py37ha11c92b_0
        - xz 5.2.5 h74280d8_2
        - zlib 1.2.11.1 h047b5d8_3
    run:
        - icc_rt >=16.0.3
        - intelpython >=2019
        - joblib >=0.11
        - mkl >=2019
        - numpy >=1.17.5,<2.0a0
        - python >=3.7,<3.8.0a0
        - scikit-learn-intelex
        - scipy
        - threadpoolctl
test:
    commands:
        - python -c "from intel_tester import test_routine; test_routine.test_exec()"
    files:
        - intel_tester_config.py
    imports:
        - sklearn
    requires:
        - intel_tester
        - matplotlib
        - pandas
        - pytest >=3.3
        - pyyaml
        - setuptools
        - threadpoolctl
    source_files:
        - deselect_tests.py
        - deselected_tests.yaml
about:
    description: '<strong>LEGAL NOTICE: Use of this software package is subject to
        the

        software license agreement (as set forth above, in the license section of

        the installed Conda package and/or the README file) and all notices,

        disclaimers or license terms for third party or open source software

        included in or with the software.</strong>

        <br/><br/>

        EULA: <a href="https://opensource.org/licenses/BSD-3-Clause" target="_blank">BSD-3-Clause</a>

        <br/><br/>

        '
    home: http://scikit-learn.org/stable/
    license: BSD-3-Clause
    license_family: BSD
    license_file: COPYING
    summary: A set of python modules for machine learning and data mining
extra:
    copy_test_source_files: true
    final: true
